xoops forums

Mamba

Moderator
Posted on: 2016/10/1 19:09
Mamba
Mamba (Show more)
Moderator
Posts: 10356
Since: 2004/4/23
#11

Re: Adslight 2.2 error after upgrade 2.5.8

I did some more testing and it seems to be working here.

It's now 2.2 Beta 4:

https://github.com/XoopsModules25x/adslight/releases

Please test it as a fresh install, and then as an update to your existing data (but NOT on your production site)
Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

Yurdal

Friend of XOOPS
Posted on: 2016/10/2 2:34
Yurdal
Yurdal (Show more)
Friend of XOOPS
Posts: 311
Since: 2005/3/27
#12

Re: Adslight 2.2 error after upgrade 2.5.8

it seems to work but i see a bug i use euro sign for price but site shows still dollar sign is there some where hardcoded ?

+ Lightbox effect doesnt work
+ Changing a exsisting ad trows a white page

Mamba

Moderator
Posted on: 2016/10/2 4:04
Mamba
Mamba (Show more)
Moderator
Posts: 10356
Since: 2004/4/23
#13

Re: Adslight 2.2 error after upgrade 2.5.8

It's good to see that we're doing some progress here

Quote:
+ Lightbox effect doesnt work
+ Changing a exsisting ad trows a white page

You'll need to give me more details on the steps to reproduce these issues...
Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

masel

Friend of XOOPS
Posted on: 1/12 12:14
masel
masel (Show more)
Friend of XOOPS
Posts: 25
Since: 2004/10/6
#14

Re: Adslight 2.2 error after upgrade 2.5.8

I have another error:
Fatal error: Call to undefined method Xmf\Request::hasVar() in /.../modules/adslight/add.php on line 52

there are other errors of the same Xmf\Request

I do not understand what it means in this file:
use Xmf\Request;

Mamba

Moderator
Posted on: 1/12 19:29
Mamba
Mamba (Show more)
Moderator
Posts: 10356
Since: 2004/4/23
#15

Re: Adslight 2.2 error after upgrade 2.5.8

Quote:
I have another error:
Fatal error: Call to undefined method Xmf\Request::hasVar() in /.../modules/adslight/add.php on line 52

Update to XOOPS 2.5.8.1

You need to have XMF installed, which comes with XOOPS 2.5.8+
Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

masel

Friend of XOOPS
Posted on: 1/13 3:09
masel
masel (Show more)
Friend of XOOPS
Posts: 25
Since: 2004/10/6
#16

Re: Adslight 2.2 error after upgrade 2.5.8

Quote:

Mamba wrote:
[quote]Update to XOOPS 2.5.8.1

You need to have XMF installed, which comes with XOOPS 2.5.8+


Updated. But I do not know how to install xmf. How to do it?

Mamba

Moderator
Posted on: 1/13 17:27
Mamba
Mamba (Show more)
Moderator
Posts: 10356
Since: 2004/4/23
#17

Re: Adslight 2.2 error after upgrade 2.5.8

If you've installed the XOOPS 2.5.8.1, you don't have to do anything else, the XMF is already included and ready to go.
Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

masel

Friend of XOOPS
Posted on: 1/14 2:43
masel
masel (Show more)
Friend of XOOPS
Posts: 25
Since: 2004/10/6
#18

Re: Adslight 2.2 error after upgrade 2.5.8

I had a 2.5.8, Adslight 2.2 shows an error. I have two sites on different hosting, but error everywhere. I updated to 2.5.8.1, but error persists.

Where exactly should be XMF?

Frameworks for XOOPS have a long history. They changed the name and location. Keep track of the changes was not always possible.

Where is this XMF located and can be switched on, it may interfere with the settings?

masel

Friend of XOOPS
Posted on: 1/14 6:28
masel
masel (Show more)
Friend of XOOPS
Posts: 25
Since: 2004/10/6
#19

Re: Adslight 2.2 error after upgrade 2.5.8

I found:
class/libraries/vendor/xoops/xmf

But it is not working.

masel

Friend of XOOPS
Posted on: 1/14 7:32
masel
masel (Show more)
Friend of XOOPS
Posts: 25
Since: 2004/10/6
#20

Re: Adslight 2.2 error after upgrade 2.5.8

But ... if uploads XMF from Github, errors disappears!

In distibutive 2.5.8.1 file Request.php has no function hasVar. Probably forgot to update.

But, but ...

File add.php - white page without errors, addlisting.php - white page after submit.